void HR8833_Motor_Setup(int motorID,int pin1,int pin2){//电机初始化 ID=1~4 定义四组电机
  ledcSetup(motorID*2-2, 5000, 8);
  ledcAttachPin(pin1, motorID*2-2);
  ledcSetup(motorID*2-1, 5000, 8);
  ledcAttachPin(pin2, motorID*2-1);
}
void HR8833_Motor_Speed(int motorID,int speed){//电机速度设置 ID=1~4,speed=-255~255
  if (speed == 0){
    ledcWrite(motorID*2-2, 0);
    ledcWrite(motorID*2-1, 0);
  }
  else if (speed > 0){
    ledcWrite(motorID*2-2, speed);
    ledcWrite(motorID*2-1, 0);
  }
  else{
    ledcWrite(motorID*2-2, 0);
    ledcWrite(motorID*2-1, -speed);
  }
}

void setup(){
  HR8833_Motor_Setup(1,12,13);
  HR8833_Motor_Setup(2,14,15);
  HR8833_Motor_Setup(3,16,17);
  HR8833_Motor_Setup(4,18,19);
}

void loop(){
  HR8833_Motor_Speed(1,255);
  HR8833_Motor_Speed(2,255);
  HR8833_Motor_Speed(3,255);
  HR8833_Motor_Speed(4,255);
  delay(1000);
  HR8833_Motor_Speed(1,(-255));
  HR8833_Motor_Speed(2,(-255));
  HR8833_Motor_Speed(3,(-255));
  HR8833_Motor_Speed(4,(-255));
  delay(1000);

}
